

#define ITERATIONS 500000L    // number of iterations
#define ACTIVATED LOW 


#if defined(__SAM3X8E__)
    #undef __FlashStringHelper::F(string_literal)
    #define F(string_literal) string_literal
#endif



int percent = 0;
int progress = 1;
const int buttonPin = 7;     
int buttonState = 0;    

void setup(void) {

  pinMode(7, INPUT_PULLUP);    
  Serial.begin(9600);
}


void loop() {
  
  buttonState = digitalRead(7);
  if (buttonState == ACTIVATED) {
    startCalculation();
  }
  else {
  }

delay(10);
}


void startCalculation()
{
 unsigned long start, time;
 unsigned long niter=ITERATIONS;
 unsigned long i;
 float x = 1.0;
 float pi=1.0;

 Serial.begin(9600);
 Serial.print("Beginning ");
 Serial.print(niter);
 Serial.println(" iterations...");
 Serial.println();

 start = millis();  
 for ( i = 2; i < niter; i++) {
   x *= -1.0;
   pi += x / (2.0f*(float)i-1.0f);   
 }
 time = millis() - start;
 
 pi = pi * 4.0;

 Serial.print("# of trials = ");
 Serial.println(niter);
 Serial.print("Estimate of pi = ");
 String piString = String(pi,7);
 String timeString = String(time)+"ms";
 Serial.println(piString);
 
 Serial.print("Time: "); Serial.print(time); Serial.println(" ms");
 
}

